<?php



////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// HamLogWeb
//
// Par F5AGL - GRIP 2008
//
// Email : f5agl@zapgillou.fr
//
// Cette création est mise à disposition selon le Contrat Paternité-Pas d'Utilisation Commerciale-Pas de Modification 2.0 France 
// disponible en ligne http://creativecommons.org/licenses/by-nc-nd/2.0/fr/ 
// ou par courrier postal à Creative Commons, 171 Second Street, Suite 300, San Francisco, California 94105, USA.
// 
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// Fichier : Routine_CreationVignettes.php 
//
// Description : Création de vignettes manquantes
//
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta content="text/html; charset=ISO-8859-1"
 http-equiv="content-type">
  <title>HamLogWeb - 035_ConnectQSL.php</title>
</head>

<body>

<?php
set_time_limit(6000000);

include("./configmysql.php");
include("./config.php");

// Connexion au serveur MySQL
$link = mysql_connect($db_host,$db_login,$db_psw) or die("_Impossible de se connecter au serveur MySQL : " . mysql_error());

// Connexion à la base MySQL
$db_selected = mysql_select_db($db_base, $link); if (!$db_selected) { die ('_Impossible de sélectionner la base de données : ' . mysql_error()); }

echo "<BR>_ Routine_CreationVignettes.php - HamLogWeb par GRIP 2007-2008";
echo "<BR>";

$dir = opendir("./qsl/");
$nbvignettes = 0;
while ($f = readdir($dir))
	{
	if(is_file("./qsl/".$f))
		{
		if (strstr($f,"jpg"))
			{
			if (!(is_file("./qsl/thumbs/vignette_".$f)))
				{
				$nbvignettes=$nbvignettes=1;
				// Création vignette, car toutes les vignettes sont effacées lors de l'installation
				$src=imagecreatefromjpeg("./qsl/".$f);
				$taille=getimagesize("./qsl/".$f);
				// Le redimensionnement diffère selon que la largeur > hauteur ou le contraire
				if ($taille[0]>$taille[1])
					{
					$img=ImageCreateTrueColor($qslcards_vignette,round(($qslcards_vignette/$taille[0])*$taille[1]));
            				imagecopyresized($img,$src, 0,0,0,0, $qslcards_vignette,
					round(($qslcards_vignette/$taille[0])*$taille[1]),$taille[0],$taille[1]);
					}
				else
					{
					$img=ImageCreateTrueColor(round(($qslcards_vignette/$taille[1])*$taille[0]), $qslcards_vignette);
       					imagecopyresized($img,$src, 0,0,0,0,round(($qslcards_vignette/$taille[1])*$taille[0]), 
					$qslcards_vignette, $taille[0],$taille[1]);
					}
				// Enregistrement de la vignette
        			imagejpeg($img, "./qsl/thumbs/vignette_".$f);
				}
			}
		}
	}

// fermeture session sur le serveur MySQL
mysql_close($link);

echo "<BR>_ Nombre de vignettes QSL créées : ".$nbvignettes;

?>


</body>
</html>

		